Package Gnumed :: Package business :: Module gmKeywordExpansion |
[frames] | no frames]

# Module gmKeywordExpansion

source code

GNUmed keyword snippet expansions

Copyright: authors

Author: Karsten Hilbert <Karsten.Hilbert@gmx.net>

License: GPL v2 or later (details at http://www.gnu.org)

Classes
| cKeywordExpansion Keyword indexed text snippets or chunks of data.

Functions
get_keyword_expansions(order_by=None, force_reload=False) | source code
get_expansion(keyword=None, textual_only=True, binary_only=False) | source code
create_keyword_expansion(keyword=None, text=None, data_file=None, public=True) | source code
delete_keyword_expansion(pk=None) | source code
get_textual_expansion_keywords() | source code
get_matching_textual_keywords(fragment=None) | source code
expand_keyword(keyword=None) | source code

Variables
| __package__ = ``'``Gnumed.business``'``

Imports: sys, os, logging, gmPG2, gmBusinessDBObject, gmTools, gmMimeLib